Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# ifr_adding_visitor_union Class Reference

`#include <ifr_adding_visitor_union.h>`

Inheritance diagram for ifr_adding_visitor_union:

[legend]
Collaboration diagram for ifr_adding_visitor_union:

[legend]
List of all members.

## Public Member Functions
| ifr_adding_visitor_union (AST_Decl *scope, CORBA::Boolean is_nested)
virtual | ~ifr_adding_visitor_union (void)
virtual int | visit_scope (UTL_Scope *node)
virtual int | visit_structure (AST_Structure *node)
virtual int | visit_enum (AST_Enum *node)
virtual int | visit_union (AST_Union *node)
virtual CORBA::IDLType_ptr | ir_current (void) const
## Private Attributes
CORBA::Boolean | is_nested_
CORBA::UnionMemberSeq | members_
CORBA::TypeCode_var | disc_tc_
ACE_Unbounded_Queue< CORBA::Contained_ptr > | move_queue_

## Constructor & Destructor Documentation

ifr_adding_visitor_union::ifr_adding_visitor_union | ( | AST_Decl * | scope,
|  | CORBA::Boolean | is_nested
| ) |

ifr_adding_visitor_union::~ifr_adding_visitor_union | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::IDLType_ptr ifr_adding_visitor_union::ir_current | ( | void |  | ) | const`[virtual]`

int ifr_adding_visitor_union::visit_enum | ( | AST_Enum * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_union::visit_scope | ( | UTL_Scope * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_union::visit_structure | ( | AST_Structure * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_union::visit_union | ( | AST_Union * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

## Member Data Documentation

CORBA::TypeCode_var ifr_adding_visitor_union::disc_tc_`[private]`

CORBA::Boolean ifr_adding_visitor_union::is_nested_`[private]`

CORBA::UnionMemberSeq ifr_adding_visitor_union::members_`[private]`

ACE_Unbounded_Queue<CORBA::Contained_ptr> ifr_adding_visitor_union::move_queue_`[private]`

The documentation for this class was generated from the following files:

- ifr_adding_visitor_union.h
- ifr_adding_visitor_union.cpp